import { getGames } from "@/lib/igdb";
import { NextRequest, NextResponse } from "next/server";

export async function GET(req: NextRequest) {
    const p = req.nextUrl.searchParams;
    try {
        const games = await getGames(p.get('page') ? parseInt(p.get('page') as string) : undefined);
        return NextResponse.json(games);
    } catch (error) {
        return NextResponse.json(error, { status: 500 });
    }
}